Subject: bug#45581: closed (Re: bug#45581: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Jan 2021 18:59:01 +0000

Your bug report

#45581: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45581: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45581
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45581: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling
From: Dmitry Gutov <[email-masked]>
To: martin rudalics <[email-masked]>, Daniel Martín<[email-masked]>, [email-masked]
Date: Sat, 2 Jan 2021 20:58:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

On 02.01.2021 10:25, martin rudalics wrote:
> Probably.  'cvs-temp-buffer' has a similar note:
> 
>        ;; FIXME: this doesn't do the right thing if the user later on
>        ;; does a `find-file-other-window' and `scroll-other-window'
>        (setq-local other-window-scroll-buffer buf))
> 
> I don't use C-M-v so I can't tell whether 'other-window-scroll-buffer'
> was ever useful in the first place for *xref*.

Great, so we can remove it (pushed as 6b10ce867f).

As a result, C-M-v doesn't always scroll the "target location" window 
anymore (at least, not when there are at least 3 windows on the frame).

I wonder if we can/should do something about it. Other standard commands 
don't seem to worry about that, though.

Subject: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Thu, 31 Dec 2020 23:51:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce the problem:

1. emacs -Q
2. Open any file with source code (for example, xdisp.c).
3. Place the point in any symbol (for example, redisplay_internal).
4. Press M-? (`xref-find-references').
5. In the *xref* buffer, press n (`xref-next-line').
6. Press C-h m (`describe-mode').
7. Press C-M-v to scroll the help window.

Expected results:

The mode description window scrolls as usual.

Actual results:

The buffer with the file that contains the selected xref item replaces
the *Help* buffer and is scrolled instead.

I can't reproduce the same behavior in *grep* buffers.